
File Meta-data Monitoring - Bug #1369

Unable to do stat on path with Unicode

06/09/2016 05:37 PM - Luke Murphey

Status: Closed Start date: 06/09/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1   

Description

2016-06-09 16:28:47,151 ERROR Execution failed

Traceback (most recent call last):

  File "/opt/splunk/etc/apps/file_meta_data/bin/file_info_app/modular_input.py", line 1320, in exe

cute

    self.do_run(in_stream, log_exception_and_continue=True)

  File "/opt/splunk/etc/apps/file_meta_data/bin/file_info_app/modular_input.py", line 1220, in do_

run

    input_config)

  File "/opt/splunk/etc/apps/file_meta_data/bin/file_meta_data.py", line 473, in run

    results, new_latest_time = self.get_files_data(file_path, logger=self.logger, latest_time=late

st_time, must_be_later_than=must_be_later_than, file_hash_limit=file_hash_limit)

  File "/opt/splunk/etc/apps/file_meta_data/bin/file_meta_data.py", line 164, in get_files_data

    info, this_latest_time = cls.get_file_data(os.path.join(root, name), logger, latest_time_deriv

ed, must_be_later_than, file_hash_limit)

  File "/opt/splunk/etc/apps/file_meta_data/bin/file_meta_data.py", line 325, in get_file_data

    path, dirs, files = os.walk(file_path).next()

  File "/opt/splunk/lib/python2.7/os.py", line 286, in walk

    if isdir(join(top, name)):

  File "/opt/splunk/lib/python2.7/genericpath.py", line 41, in isdir

    st = os.stat(s)

UnicodeEncodeError: 'ascii' codec can't encode character u'\u011f' in position 49: ordinal not in 

range(128)

History

#1 - 06/09/2016 05:37 PM - Luke Murphey

- Description updated

#2 - 06/20/2016 03:52 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
